Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174943 - dovecot tries to access C: !
Summary: dovecot tries to access C: !
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-04 17:49 UTC by Nicolas Mailhot
Modified: 2014-01-21 22:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-17 10:29:29 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2005-12-04 17:49:05 UTC
Description of problem:

selinux audit logs show dovecot tries to access C:/temp

ype=AVC msg=audit(1133718417.216:535): avc:  denied  { search } for  pid=4628
comm="dovecot-auth" name="dovecot" dev=dm-0 ino=2393445
scontext=system_u:system_r:dovecot_auth_t:s0
tcontext=system_u:object_r:dovecot_var_run_t:s0 tclass=dir
type=SYSCALL msg=audit(1133718417.216:535): arch=c000003e syscall=4 success=no
exit=-13 a0=3ebedd7bf9 a1=7fffffa8c5e0 a2=7fffffa8c5e0 a3=0 items=1 pid=4628
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
comm="dovecot-auth" exe="/usr/libexec/dovecot/dovecot-auth"
type=CWD msg=audit(1133718417.216:535):  cwd="/var/run/dovecot"
type=PATH msg=audit(1133718417.216:535): item=0 name="C:/temp" flags=1 
inode=2393445 dev=fd:00 mode=040700 ouid=0 ogid=0 rdev=00:00
type=AVC msg=audit(1133718417.216:536): avc:  denied  { search } for  pid=4628
comm="dovecot-auth" name="dovecot" dev=dm-0 ino=2393445
scontext=system_u:system_r:dovecot_auth_t:s0
tcontext=system_u:object_r:dovecot_var_run_t:s0 tclass=dir
type=SYSCALL msg=audit(1133718417.216:536): arch=c000003e syscall=4 success=no
exit=-13 a0=3ebedd7c01 a1=7fffffa8c5e0 a2=7fffffa8c5e0 a3=0 items=1 pid=4628
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
comm="dovecot-auth" exe="/usr/libexec/dovecot/dovecot-auth"
type=CWD msg=audit(1133718417.216:536):  cwd="/var/run/dovecot"
type=PATH msg=audit(1133718417.216:536): item=0 name="C:/tmp" flags=1 
inode=2393445 dev=fd:00 mode=040700 ouid=0 ogid=0 rdev=00:00


How reproducible:

always


Version-Release number of selected component (if applicable):
dovecot-0.99.14-10.fc5

Comment 1 Nicolas Mailhot 2005-12-17 10:29:29 UTC
Seems fixed


Note You need to log in before you can comment on or make changes to this bug.